Bug 499487 - Review Request: python-coverage - Code coverage testing module for Python
Review Request: python-coverage - Code coverage testing module for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 16:40 EDT by Tom "spot" Callaway
Modified: 2011-02-09 08:09 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.85-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 22:01:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2009-05-06 16:40:59 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/new/python-coverage.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/python-coverage-2.85-1.fc11.src.rpm
Description: 
Coverage.py is a Python module that measures code coverage during Python
execution. It uses the code analysis tools and tracing hooks provided in the
Python standard library to determine which lines are executable, and which
have been executed.
Comment 1 Susi Lehtola 2009-05-07 08:10:18 EDT
- You don't need BR: python-setuptools on >F9. If you build for EPEL, then you need it, but you won't get the egg files without python-setuptools:
http://fedoraproject.org/wiki/Packaging/Python/Eggs#Providing_Eggs_for_non-setuptools_packages

- python spec file template has -O1 argument to install, maybe you should have it also?

**

rpmlint output is clean.

MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK

SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. NEEDSFIX

SHOULD: The package builds in mock. OK

**

No blockers; the package has been

APPROVED
Comment 2 Tom "spot" Callaway 2009-05-15 13:34:51 EDT
New Package CVS Request
=======================
Package Name: python-coverage
Short Description: Code coverage testing module for Python
Owners: spot
Branches: EL-4 EL-5 F-10 F-11 devel
InitialCC: 

... and it's done.
Comment 3 Fedora Update System 2009-05-15 14:11:08 EDT
python-coverage-2.85-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-coverage-2.85-2.fc10
Comment 4 Fedora Update System 2009-05-15 14:11:13 EDT
python-coverage-2.85-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-coverage-2.85-2.fc11
Comment 5 Fedora Update System 2009-05-18 22:01:52 EDT
python-coverage-2.85-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-05-18 22:06:43 EDT
python-coverage-2.85-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.